Skip to navigation

Get worker additional fields for (GP)

Retrieves the additional form fields required when onboarding Global Payroll workers in the specified country.

Token scopes: forms:read

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

country_codestringRequired
Country code

Headers

X-VersionstringOptionalformat: "^\d{4}-\d{2}-\d{2}$"Defaults to 2026-08-05

Version of this endpoint to call (YYYY-MM-DD). This reference documents version 2026-08-05. When the header is omitted the API serves the oldest version that is neither beta nor sunset, which can be an older version with a different contract than the one documented here.

Response

Successful operation.
datalist of objects
Array of field configuration objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error